iOS upgrade impossible!

Discussion in 'iPhone Tips, Help and Troubleshooting' started by dask2, Dec 25, 2012.

  1. dask2 macrumors newbie

    Joined:
    Dec 25, 2012
    #1
    Merry Christmas!

    I currently have iOS 4.1 on my iphone 3gs, jailbroken. I would like to upgrade to 5.1.1 and jailbreak it.

    However when I try to restore it from my 5.1.1 downloaded file I get the "The iPhone could not be restored. This device isnt eligible for the requested build. " error message.

    After checking possible solutions, I couldn't come across any gs.apple file in hosts nor could I tick or untick the "set hosts to cydia on exit..." in tinyumbrella.

    Can anyone help me out, how complicated can this s... get :(

    Thank you all
     
  2. dinggus macrumors 65816

    Joined:
    Jan 17, 2012
    #2
    You can't. Either stay or go to 6.0.1 and tether jailbreak.
     
  3. dask2 thread starter macrumors newbie

    Joined:
    Dec 25, 2012
  4. dinggus macrumors 65816

    Joined:
    Jan 17, 2012
    #4
    Apple stopped signing that firmware version, forcing users to update when they restore.
     
  5. dask2 thread starter macrumors newbie

    Joined:
    Dec 25, 2012
    #5
    So what you are saying is that I can now only upgrade directly to the latest version... thank you apple.

    Thanks
     
  6. iParis macrumors 68040

    iParis

    Joined:
    Jul 29, 2008
    Location:
    New Mexico
    #6
    Apple stops signing for older firmwares about a day after the new one is out.
     
  7. dinggus macrumors 65816

    Joined:
    Jan 17, 2012
    #7
    Yes but you can still jailbreak, just tethered.
     
  8. PsstGreek macrumors 68040

    PsstGreek

    Joined:
    Oct 21, 2010
    Location:
    Tampa Bay
    #8
    You need to have the SHSH saved for iOS 5.1.1 to upgrade.
     
  9. dask2 thread starter macrumors newbie

    Joined:
    Dec 25, 2012
    #9
    Ok, and I suppose that if I haven't previously saved it via tiny umbrella... theres nothing to do bout it.

    Thanks for the info, sorry if this is noobish.
     
  10. PsstGreek macrumors 68040

    PsstGreek

    Joined:
    Oct 21, 2010
    Location:
    Tampa Bay
    #10
    Correct. You can download f0recast and you can figure out wether your 3GS has the new bootrom or again.

    If your iPhone has the older bootrom the jailbreak will be untethered for iOS 6, tethered for the newer one.
     

Share This Page